For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
      • GETList Consumer Disputes
      • GETGet Consumer Bank Accounts
      • GETList Consumer Payment Cards
      • GETList Consumers
      • POSTCreate New Consumer
      • GETRetrieve Consumer
      • PUTUpdate Consumer
      • GETGet Consumers By PCID
      • GETList Consumer Addresses V 2
      • POSTCreate Address V 2
      • GETRetrieve Address V 2
      • PUTUpdate Address V 2
      • DELDelete Address V 2
      • GETList Consumer Invites
      • POSTCreate Consumer Invites
      • POSTCreate Consumer Dispute
      • POSTCreate Account Cancellation
Get a Demo
LogoLogo
API ReferenceConsumers

Update Consumer

PUT
https://host.com/v2/consumers/:consumer_id/
PUT
/v2/consumers/:consumer_id/
$curl -X PUT https://host.com/v2/consumers/consumer_id/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "pcid": "string",
3 "first_name": "string",
4 "last_name": "string",
5 "email": "string",
6 "phone_number": "string",
7 "date_of_birth": "2023-01-15",
8 "address_line1": "string",
9 "address_line2": "string",
10 "address_city": "string",
11 "address_state": "string",
12 "address_zip": "string"
13}
PUT method to update consumer's data
Was this page helpful?
Previous

Get Consumers By PCID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

consumer_idstringRequired

Request

This endpoint expects an object.
pcidstringOptional<=64 characters
first_namestringOptional<=255 characters
last_namestringOptional<=255 characters
emailstringOptionalformat: "email"<=255 characters
phone_numberstringOptional<=255 characters
date_of_birthstringOptionalformat: "date"
address_line1stringOptional<=255 characters
address_line2stringOptional<=255 characters
address_citystringOptional<=255 characters
address_statestringOptional<=255 characters
address_zipstringOptional<=255 characters

Response

pcidstring<=64 characters
first_namestring<=255 characters
last_namestring<=255 characters
emailstringformat: "email"<=255 characters
phone_numberstring<=255 characters
date_of_birthstringformat: "date"
address_line1string<=255 characters
address_line2string<=255 characters
address_citystring<=255 characters
address_statestring<=255 characters
address_zipstring<=255 characters